org.springframework.web.reactive.resource

## Interface ResourceTransformerChain

    public interface ResourceTransformerChain

A contract for invoking a chain of `ResourceTransformers` where each resolver is given a reference to the chain allowing it to delegate when necessary.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`ResourceResolverChain` `getResolverChain()` Return the `ResourceResolverChain` that was used to resolve the `Resource` being transformed.
`reactor.core.publisher.Mono<org.springframework.core.io.Resource>` `transform(org.springframework.web.server.ServerWebExchange exchange, org.springframework.core.io.Resource resource)` Transform the given resource.

### Method Detail

#### getResolverChain

    ResourceResolverChain getResolverChain()

Return the `ResourceResolverChain` that was used to resolve the `Resource` being transformed. This may be needed for resolving related resources, e.g. links to other resources.

#### transform

    reactor.core.publisher.Mono<org.springframework.core.io.Resource> transform(org.springframework.web.server.ServerWebExchange exchange,
                                                                                org.springframework.core.io.Resource resource)

Transform the given resource.

Parameters:
  `exchange` - the current exchange
  `resource` - the candidate resource to transform
Returns:
  the transformed or the same resource, never empty